## org.apache.catalina.cluster
Class ClusterMemberInfo

    java.lang.Object
      org.apache.catalina.cluster.ClusterMemberInfo

All Implemented Interfaces:
  java.io.Serializable

public final class ClusterMemberInfo
extends java.lang.Object
implements java.io.Serializable

Class that represents a member in a Cluster, keeps information that can be used when implementing Classes thats utilizing a Cluster.

Version:
  $Revision: 1.5 $
Author:
  Bip Thelin
See Also:
  Serialized Form

Constructor Summary
`ClusterMemberInfo()`

Method Summary
`java.lang.String` `getClusterInfo()`
`java.lang.String` `getClusterName()`
`java.lang.String` `getHostName()`
`java.lang.String` `getServerVersion()`
`void` `setClusterInfo(java.lang.String clusterInfo)`
`void` `setClusterName(java.lang.String clusterName)`
`void` `setHostName(java.lang.String hostName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusterMemberInfo

    public ClusterMemberInfo()

Method Detail

### setClusterName

    public void setClusterName(java.lang.String clusterName)

### getClusterName

    public java.lang.String getClusterName()

### setHostName

    public void setHostName(java.lang.String hostName)

### getHostName

    public java.lang.String getHostName()

### getServerVersion

    public java.lang.String getServerVersion()

### setClusterInfo

    public void setClusterInfo(java.lang.String clusterInfo)

### getClusterInfo

    public java.lang.String getClusterInfo()

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.